summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xshare/scripts/curl12
1 files changed, 12 insertions, 0 deletions
diff --git a/share/scripts/curl b/share/scripts/curl
index 3d81807..6602a6f 100755
--- a/share/scripts/curl
+++ b/share/scripts/curl
@@ -216,10 +216,22 @@ case "${IMAGE}" in
*.lz)
TAR_OPTIONS="--lzip"
+
+ if [ ! -e /usr/bin/lzip ]
+ then
+ echo "'${NAME}': /usr/bin/lzip - no such file." >&2
+ exit 1
+ fi
;;
*.xz)
TAR_OPTIONS="--xz"
+
+ if [ ! -e /usr/bin/xz ]
+ then
+ echo "'${NAME}': /usr/bin/xz - no such file." >&2
+ exit 1
+ fi
;;
*)